Index: TXM/trunk/org.txm.xmleditor.rcp/src/org/txm/xmleditor/messages/XMLEditorMessages.java
===================================================================
--- TXM/trunk/org.txm.xmleditor.rcp/src/org/txm/xmleditor/messages/XMLEditorMessages.java	(revision 3449)
+++ TXM/trunk/org.txm.xmleditor.rcp/src/org/txm/xmleditor/messages/XMLEditorMessages.java	(revision 3450)
@@ -7,12 +7,24 @@
 	
 	private static final String BUNDLE_NAME = "org.txm.xmleditor.messages.messages"; //$NON-NLS-1$
 	
+	public static String AbortingTheOpeningOfP0;
+
+	public static String BigFile;
+
 	public static String OpenXMLEditor_1;
 	
 	public static String OpenXMLEditor_3;
 	
 	public static String OpenXMLEditor_4;
+
+	public static String P0IsAVeryBigFileDoYouWantToContinueAndOpensIt;
 	
+	public static String SelectedWordFromP0ToP1;
+
+	public static String SelectedWordP0;
+
+	public static String WordSelectionIdentifiersP0;
+
 	static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, XMLEditorMessages.class);
Index: TXM/trunk/org.txm.xmleditor.rcp/src/org/txm/xmleditor/messages/messages.properties
===================================================================
--- TXM/trunk/org.txm.xmleditor.rcp/src/org/txm/xmleditor/messages/messages.properties	(revision 3449)
+++ TXM/trunk/org.txm.xmleditor.rcp/src/org/txm/xmleditor/messages/messages.properties	(revision 3450)
@@ -1,3 +1,9 @@
+AbortingTheOpeningOfP0=Aborting the opening of {0}
+BigFile=Big file
 OpenXMLEditor_1=Open XML Editor...
 OpenXMLEditor_3=Opening XML editor...
 OpenXMLEditor_4=Error: 
+P0IsAVeryBigFileDoYouWantToContinueAndOpensIt={0} is a very big file. Do you want to continue and opens it?
+SelectedWordFromP0ToP1=Selected word: from {0} to {1}
+SelectedWordP0=Selected word: {0}
+WordSelectionIdentifiersP0=Word selection identifiers: {0}
Index: TXM/trunk/org.txm.xmleditor.rcp/src/org/txm/xmleditor/OpenXMLEditor.java
===================================================================
--- TXM/trunk/org.txm.xmleditor.rcp/src/org/txm/xmleditor/OpenXMLEditor.java	(revision 3449)
+++ TXM/trunk/org.txm.xmleditor.rcp/src/org/txm/xmleditor/OpenXMLEditor.java	(revision 3450)
@@ -71,15 +71,15 @@
 			File txmFile = text.getXMLTXMFile();
 			if (txmFile != null && txmFile.exists()) {
 				if (txmFile.length() > ALERT) {
-					if (!MessageDialog.openQuestion(shell, "Big file /o\\", txmFile.getAbsolutePath()+" is a very big file. Do you want to continue and opens it?")) {
-						Log.info("Aborting the opening of "+txmFile);
+					if (!MessageDialog.openQuestion(shell, XMLEditorMessages.BigFile, txmFile.getAbsolutePath()+XMLEditorMessages.P0IsAVeryBigFileDoYouWantToContinueAndOpensIt)) {
+						Log.info(XMLEditorMessages.AbortingTheOpeningOfP0+txmFile);
 						return null;
 					}
 				}
 				reditor = openfile(txmFile);
 			}
 			else { // wrong link ?
-				txmFile = new File(text.getProject().getProjectDirectory(), "txm/" + text.getProject().getName() + "/" + text.getName() + ".xml");
+				txmFile = new File(text.getProject().getProjectDirectory(), "txm/" + text.getProject().getName() + "/" + text.getName() + ".xml"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 				reditor = openfile(txmFile);
 			}
 			
@@ -93,10 +93,10 @@
 					//
 					// String search = "\""+wordSelection[0]+"\"";
 					if (wordSelection[1] == null) {
-						System.out.println("Selected word: " + wordSelection[0]);
+						System.out.println(XMLEditorMessages.SelectedWordP0 + wordSelection[0]);
 					}
 					else {
-						System.out.println("Selected word: from " + wordSelection[0] + " to " + wordSelection[1]);
+						System.out.println(XMLEditorMessages.SelectedWordFromP0ToP1 + wordSelection[0] + " to " + wordSelection[1]); //$NON-NLS-2$
 					}
 				}
 			}
@@ -106,13 +106,13 @@
 			Concordance conc = line.getConcordance();
 			String text = line.getTextId();
 			
-			File txmFile = new File(conc.getProject().getProjectDirectory(), "txm/" + conc.getCorpus().getID() + "/" + text + ".xml");
+			File txmFile = new File(conc.getProject().getProjectDirectory(), "txm/" + conc.getCorpus().getID() + "/" + text + ".xml"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			reditor = openfile(txmFile);
 			if (reditor != null & reditor instanceof XMLMultiPageEditorPart) {
 				XMLMultiPageEditorPart xmlEditor = (XMLMultiPageEditorPart) reditor;
 				Object selectedPage = xmlEditor.getSelectedPage();
 				if (selectedPage != null && selectedPage instanceof StructuredTextEditor) {
-					System.out.println("Word selection identifiers: " + line.getKeywordIds());
+					System.out.println(XMLEditorMessages.WordSelectionIdentifiersP0 + line.getKeywordIds());
 				}
 			}
 		}
Index: TXM/trunk/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/Messages.java
===================================================================
--- TXM/trunk/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/Messages.java	(revision 0)
+++ TXM/trunk/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/Messages.java	(revision 3450)
@@ -0,0 +1,24 @@
+package org.txm.textsbalance.rcp;
+
+import org.eclipse.osgi.util.NLS;
+
+public class Messages extends NLS {
+	
+	private static final String BUNDLE_NAME = "org.txm.textsbalance.rcp.messages"; //$NON-NLS-1$
+	
+	public static String Count;
+	
+	public static String ErrorNoCorpus;
+
+	public static String GroupByWords;
+
+	public static String Method;
+
+	public static String TextsBalanceCharts;
+	static {
+		// initialize resource bundle
+		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+	}
+	
+	private Messages() {}
+}

Property changes on: TXM/trunk/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/Messages.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/editors/TextsBalanceEditor.java
===================================================================
--- TXM/trunk/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/editors/TextsBalanceEditor.java	(revision 3449)
+++ TXM/trunk/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/editors/TextsBalanceEditor.java	(revision 3450)
@@ -13,6 +13,7 @@
 import org.txm.rcp.swt.widget.structures.StructuralUnitsCombosGroup;
 import org.txm.textsbalance.core.functions.TextsBalance;
 import org.txm.textsbalance.core.preferences.TextsBalancePreferences;
+import org.txm.textsbalance.rcp.Messages;
 
 /**
  * Texts balance editor.
@@ -56,7 +57,7 @@
 	public void __createPartControl() {
 		
 		if (((TextsBalance)this.getResult()).getCorpus() == null) {
-			System.out.println("Error: no corpus");
+			System.out.println(Messages.ErrorNoCorpus);
 			return;
 		}
 
@@ -66,7 +67,7 @@
 		
 		Group group = new Group(parametersArea, SWT.NONE);
 		
-		group.setText("Count");
+		group.setText(Messages.Count);
 		group.setLayout(new RowLayout());
 		
 		this.groupByTexts = new Button(group, SWT.RADIO);
Index: TXM/trunk/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/preferences/TextsBalancePreferencePage.java
===================================================================
--- TXM/trunk/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/preferences/TextsBalancePreferencePage.java	(revision 3449)
+++ TXM/trunk/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/preferences/TextsBalancePreferencePage.java	(revision 3450)
@@ -37,6 +37,7 @@
 import org.txm.rcp.preferences.TXMPreferencePage;
 import org.txm.rcp.preferences.TXMPreferenceStore;
 import org.txm.textsbalance.core.preferences.TextsBalancePreferences;
+import org.txm.textsbalance.rcp.Messages;
 import org.txm.textsbalance.rcp.adapters.TextsBalanceAdapterFactory;
 
 /**
@@ -69,8 +70,8 @@
 			methods[i][1] = String.valueOf(i + 1);
 		}
 
-		this.addField(new ComboFieldEditor(TextsBalancePreferences.METHOD, "Method", methods, chartsTab));
-		this.addField(new BooleanFieldEditor(TextsBalancePreferences.GROUP_BY_TEXTS, "Group by words", chartsTab));
+		this.addField(new ComboFieldEditor(TextsBalancePreferences.METHOD, Messages.Method, methods, chartsTab));
+		this.addField(new BooleanFieldEditor(TextsBalancePreferences.GROUP_BY_TEXTS, Messages.GroupByWords, chartsTab));
 		
 		// other shared preferences
 		SWTChartsComponentsProvider.createChartsRenderingPreferencesFields(this, chartsTab);
@@ -88,7 +89,7 @@
 	@Override
 	public void init(IWorkbench workbench) {
 		this.setPreferenceStore(new TXMPreferenceStore(TextsBalancePreferences.getInstance().getPreferencesNodeQualifier()));
-		this.setDescription("Texts balance charts.");
+		this.setDescription(Messages.TextsBalanceCharts);
 		this.setImageDescriptor(TextsBalanceAdapterFactory.ICON);
 	}
 
Index: TXM/trunk/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/messages.properties
===================================================================
--- TXM/trunk/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/messages.properties	(revision 0)
+++ TXM/trunk/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/messages.properties	(revision 3450)
@@ -0,0 +1,5 @@
+Count=Count
+ErrorNoCorpus=Error: no corpus
+GroupByWords=Group by words
+Method=Method
+TextsBalanceCharts=Texts balance charts.

Property changes on: TXM/trunk/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/messages.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/adapters/TextsBalanceAdapterFactory.java
===================================================================
--- TXM/trunk/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/adapters/TextsBalanceAdapterFactory.java	(revision 3449)
+++ TXM/trunk/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/adapters/TextsBalanceAdapterFactory.java	(revision 3450)
@@ -21,7 +21,7 @@
 	
 	public static final ImageDescriptor ICON =
 			AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(TextsBalanceAdapterFactory.class).getSymbolicName(),
-					"platform:/plugin/"+ FrameworkUtil.getBundle(TextsBalanceAdapterFactory.class).getSymbolicName() + "/icons/balance.png"); //$NON-NLS-1$
+					"platform:/plugin/"+ FrameworkUtil.getBundle(TextsBalanceAdapterFactory.class).getSymbolicName() + "/icons/balance.png"); //$NON-NLS-1$ //$NON-NLS-2$
 	
 	
 	@Override
Index: TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/adapters/SpecificitiesAdapterFactory.java
===================================================================
--- TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/adapters/SpecificitiesAdapterFactory.java	(revision 3449)
+++ TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/adapters/SpecificitiesAdapterFactory.java	(revision 3450)
@@ -23,10 +23,10 @@
 	
 	public static final ImageDescriptor ICON =
 			AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(SpecificitiesAdapterFactory.class).getSymbolicName(),
-					"platform:/plugin/"+ FrameworkUtil.getBundle(SpecificitiesAdapterFactory.class).getSymbolicName() + "/icons/functions/specificities.png"); //$NON-NLS-1$
+					"platform:/plugin/"+ FrameworkUtil.getBundle(SpecificitiesAdapterFactory.class).getSymbolicName() + "/icons/functions/specificities.png"); //$NON-NLS-1$ //$NON-NLS-2$
 	public static final ImageDescriptor ICON_SELECTION =
 			AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(SpecificitiesAdapterFactory.class).getSymbolicName(),
-					"platform:/plugin/"+ FrameworkUtil.getBundle(SpecificitiesAdapterFactory.class).getSymbolicName() + "/icons/functions/specificities_selection.png"); //$NON-NLS-1$
+					"platform:/plugin/"+ FrameworkUtil.getBundle(SpecificitiesAdapterFactory.class).getSymbolicName() + "/icons/functions/specificities_selection.png"); //$NON-NLS-1$ //$NON-NLS-2$
 
 
 	@Override
Index: TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/messages.properties
===================================================================
--- TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/messages.properties	(revision 3449)
+++ TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/messages.properties	(revision 3450)
@@ -7,6 +7,7 @@
 failedToComputeSpecificities=** Failed to compute specificities\: {0}.
 groupBarsByLines=Group the bars by the rows of the table
 maximumScore=Maximum score
+maximumScoreToDisplay=The maximum score to display
 scoresFormatDefaultIsPercent1f=Scores format (default is %,.1f)
 specificities=Specificities
 t=\ T
Index: TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/SpecificitiesUIMessages.java
===================================================================
--- TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/SpecificitiesUIMessages.java	(revision 3449)
+++ TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/SpecificitiesUIMessages.java	(revision 3450)
@@ -25,7 +25,9 @@
 	public static String failedToComputeSpecificities; 
 	public static String t;
 
-	public static String index; 
+	public static String index;
+
+	public static String maximumScoreToDisplay; 
 	
 	static {
 		// initialize resource bundle
Index: TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesTableLabelProvider.java
===================================================================
--- TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesTableLabelProvider.java	(revision 3449)
+++ TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesTableLabelProvider.java	(revision 3450)
@@ -79,7 +79,7 @@
 		return null;
 	}
 	
-	public static final String EMPTY = "";
+	public static final String EMPTY = ""; //$NON-NLS-1$
 	
 	/*
 	 * (non-Javadoc)
Index: TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java
===================================================================
--- TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 3449)
+++ TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 3450)
@@ -146,7 +146,7 @@
 			Composite extendedParametersArea = this.getExtendedParametersGroup();
 			
 			// max score
-			LabeledSpinner maxScore = new LabeledSpinner(extendedParametersArea, this, "Maximum score", "The maximum score to display");
+			LabeledSpinner maxScore = new LabeledSpinner(extendedParametersArea, this, SpecificitiesUIMessages.maximumScore, SpecificitiesUIMessages.maximumScoreToDisplay);
 			this.maxScoreFilter = maxScore.getSpinner();
 			this.maxScoreFilter.setMinimum(0);
 			this.maxScoreFilter.setMaximum(100000);
Index: TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java
===================================================================
--- TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java	(revision 3449)
+++ TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java	(revision 3450)
@@ -48,7 +48,7 @@
 		// Group bars by lines
 		this.groupBarsByLines = new ToolItem(this.getToolBar(), SWT.CHECK);
 		this.groupBarsByLines.setToolTipText(SpecificitiesUIMessages.groupBarsByLines);
-		this.groupBarsByLines.setImage(IImageKeys.getImage(ComputeSpecifities.class, "icons/silk_group_bars_by_lines.png"));
+		this.groupBarsByLines.setImage(IImageKeys.getImage(ComputeSpecifities.class, "icons/silk_group_bars_by_lines.png")); //$NON-NLS-1$
 		this.groupBarsByLines.addSelectionListener(computeSelectionListener);
 		
 		// Banality
Index: TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/PluginMessagesManager.java
===================================================================
--- TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/PluginMessagesManager.java	(revision 3449)
+++ TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/PluginMessagesManager.java	(revision 3450)
@@ -1037,7 +1037,7 @@
 		 */
 		// dict.summary();
 		
-		pmManager.saveChanges(false);
+		//pmManager.saveChanges(false);
 		
 		System.out.println("dir=" + pmManager.getProjectDirectory());
 		System.out.println("Elapsed time:" + ((double) (System.currentTimeMillis() - startTime) / 1000));
Index: TXM/trunk/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/adapters/WordCloudAdapterFactory.java
===================================================================
--- TXM/trunk/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/adapters/WordCloudAdapterFactory.java	(revision 3449)
+++ TXM/trunk/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/adapters/WordCloudAdapterFactory.java	(revision 3450)
@@ -19,7 +19,7 @@
 	
 	
 	public static final ImageDescriptor ICON = AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(WordCloudAdapterFactory.class).getSymbolicName(),
-			"platform:/plugin/" + FrameworkUtil.getBundle(WordCloudAdapterFactory.class).getSymbolicName() + "/icons/functions/wordcloud.png"); //$NON-NLS-1$
+			"platform:/plugin/" + FrameworkUtil.getBundle(WordCloudAdapterFactory.class).getSymbolicName() + "/icons/functions/wordcloud.png"); //$NON-NLS-1$ //$NON-NLS-2$
 	
 	
 	
Index: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/messages.properties
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/messages.properties	(revision 0)
+++ TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/messages.properties	(revision 3450)
@@ -0,0 +1,7 @@
+ErrorCantFindCorpusDirectoryP0=Error: can't find corpus directory: 
+ErrorInTSIndexNoLabelEtc=** Error in TSIndex: no label '@' or 'pivot' found in TIGERSearch query. Aborting.
+ErrorInTSIndexTooManyLabelsEtc=** Error in TSIndex: too many labels '@' or 'pivot' found in TIGERSearch query. Aborting.
+ErrorWhilePropertiesProjectionP0=Error while properties projection: {0}
+ErrorWhileQueingTIGERSearchP0=Error while queing TIGERSearch: {0}
+FailToRenderSVGMatchForSentEqualsP0AndSubEqualsP1=Fail to render SVG match for sent={0} and sub={1}
+TIGERSearchCorpusNotFoundInP0=TIGERSearch corpus not found in 

Property changes on: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/messages.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/Messages.java
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/Messages.java	(revision 0)
+++ TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/Messages.java	(revision 3450)
@@ -0,0 +1,28 @@
+package org.txm.tigersearch.rcp;
+
+import org.eclipse.osgi.util.NLS;
+
+public class Messages extends NLS {
+	
+	private static final String BUNDLE_NAME = "org.txm.tigersearch.rcp.messages"; //$NON-NLS-1$
+	
+	public static String ErrorCantFindCorpusDirectoryP0;
+
+	public static String ErrorInTSIndexNoLabelEtc;
+
+	public static String ErrorInTSIndexTooManyLabelsEtc;
+	
+	public static String ErrorWhilePropertiesProjectionP0;
+
+	public static String ErrorWhileQueingTIGERSearchP0;
+
+	public static String FailToRenderSVGMatchForSentEqualsP0AndSubEqualsP1;
+	
+	public static String TIGERSearchCorpusNotFoundInP0;
+	static {
+		// initialize resource bundle
+		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+	}
+	
+	private Messages() {}
+}

Property changes on: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/Messages.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERTreeSearchSelector.java
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERTreeSearchSelector.java	(revision 3449)
+++ TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERTreeSearchSelector.java	(revision 3450)
@@ -11,7 +11,7 @@
 
 public class TIGERTreeSearchSelector extends TreeSearchSelector {
 	
-	public static String TIGER = "TIGER";
+	public static String TIGER = "TIGER"; //$NON-NLS-1$
 	
 	@Override
 	public String getEngine() {
Index: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TSIndex.java
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TSIndex.java	(revision 3449)
+++ TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TSIndex.java	(revision 3450)
@@ -34,16 +34,17 @@
 import org.txm.searchengine.ts.TSCorpus;
 import org.txm.searchengine.ts.TSCorpusManager;
 import org.txm.searchengine.ts.TSResult;
+import org.txm.tigersearch.rcp.Messages;
 import org.txm.utils.logger.Log;
 
 public class TSIndex extends Index {
 	
-	public static final String EDITIONID = "editionId";
+	public static final String EDITIONID = "editionId"; //$NON-NLS-1$
 	
 	public TSIndex(CQPCorpus corpus, List<WordProperty> props)
 			throws CqiClientException, IOException, CqiServerError {
 		super(corpus);
-		this.setParameters(new CQLQuery("[]"), props, null, null, null, null);
+		this.setParameters(new CQLQuery("[]"), props, null, null, null, null); //$NON-NLS-1$
 	}
 	
 	public TSIndex(CQPCorpus corpus, CQLQuery query, List<WordProperty> props)
@@ -69,14 +70,14 @@
 		if (isTigerInitialized) return isTigerInitialized;
 		
 		String id = getCorpus().getMainCorpus().getName();
-		File configfile = new File(getCorpus().getProjectDirectory(), "tiger/tigersearch.logprop");
-		File registrydir = new File(getCorpus().getProjectDirectory(), "tiger");
+		File configfile = new File(getCorpus().getProjectDirectory(), "tiger/tigersearch.logprop"); //$NON-NLS-1$
+		File registrydir = new File(getCorpus().getProjectDirectory(), "tiger"); //$NON-NLS-1$
 		
 		TSCorpusManager manager = new TSCorpusManager(registrydir, configfile);
 		if (manager.isInitialized()) {
 			tscorpus = manager.getCorpus(id);
 			if (tscorpus == null) {
-				System.out.println("TIGERSearch corpus not found in " + registrydir);
+				System.out.println("TIGERSearch corpus not found in " + registrydir); //$NON-NLS-1$
 				isTigerInitialized = false;
 			}
 			
@@ -110,7 +111,7 @@
 			matches = getMatchesFromTSQuery(corp);
 		}
 		catch (Exception e1) {
-			System.out.println("Error while queing TIGERSearch: " + e1);
+			System.out.println(Messages.ErrorWhileQueingTIGERSearchP0 + e1);
 			e1.printStackTrace();
 			return false;
 		}
@@ -162,7 +163,7 @@
 				}
 			}
 			catch (Exception e) {
-				System.out.println("Error while properties projection: " + e);
+				System.out.println(Messages.ErrorWhilePropertiesProjectionP0 + e);
 				Log.printStackTrace(e);
 				return false;
 			}
@@ -221,17 +222,17 @@
 		MatchResult result = tsresult.getMatchResult();
 		
 		int var_ok = 0;
-		String label = "@|pivot";
+		String label = "@|pivot"; //$NON-NLS-1$
 		Pattern p = Pattern.compile(label);
 		for (String var : result.getVariableNames()) {
 			if (p.matcher(var).matches()) var_ok++;
 		}
 		if (var_ok == 0) {
-			System.out.println("** Error in TSIndex: no label '@' or 'pivot' found in TIGERSearch query. Aborting.");
+			System.out.println(Messages.ErrorInTSIndexNoLabelEtc);
 			return matches;
 		}
 		else if (var_ok > 1) {
-			System.out.println("** Error in TSIndex: too many labels '@' or 'pivot' found in TIGERSearch query. Aborting.");
+			System.out.println(Messages.ErrorInTSIndexTooManyLabelsEtc);
 			return matches;
 		}
 		
@@ -248,7 +249,7 @@
 		
 		int size = forest.getForestSize();
 		for (int match_no = 0; match_no < size; match_no++) {
-			if (debug) System.out.println("Match " + match_no);
+			if (debug) System.out.println("Match " + match_no); //$NON-NLS-1$
 			int sentno = result.getSentenceNumberAt(match_no);
 			Sentence sentence = manager.getSentence(sentno);
 			
@@ -256,18 +257,18 @@
 			int n = result.getSentenceSubmatchSize(sentno);
 			
 			for (int iSubMatch = 0; iSubMatch < n; iSubMatch++) {
-				if (debug) System.out.println(" Sub " + iSubMatch);
+				if (debug) System.out.println(" Sub " + iSubMatch); //$NON-NLS-1$
 				int[] var_values = result.getSentenceSubmatchAt(sentno, iSubMatch);
 				int value;
 				for (int j = 0; j < var_values.length; j++) {
-					if (debug) System.out.println("  Var " + j + " name=" + result.getVariableName(j));
+					if (debug) System.out.println("  Var " + j + " name=" + result.getVariableName(j)); //$NON-NLS-1$ //$NON-NLS-2$
 					value = var_values[j];
 					if (value >= 0) {
 						String var_name = result.getVariableName(j);
 						Node referred = sentence.getNode(value);
 						if (p.matcher(var_name).matches()) {
 							if (referred instanceof T_Node) {
-								if (debug) System.out.println("    Node: " + referred.getFeature(EDITIONID));
+								if (debug) System.out.println("    Node: " + referred.getFeature(EDITIONID)); //$NON-NLS-1$
 								matchingTnodesID.add(referred.getFeature(EDITIONID));
 							}
 							else if (referred instanceof NT_Node) {
@@ -322,7 +323,7 @@
 		
 		HashSet<String> matchingTnodesIDFiltered = new HashSet<>();
 		for (String s : matchingTnodesID) {
-			if (s == null || s.length() == 0 || s.endsWith("_dupl")) {
+			if (s == null || s.length() == 0 || s.endsWith("_dupl")) { //$NON-NLS-1$
 				
 			}
 			else {
@@ -330,7 +331,7 @@
 			}
 		}
 		
-		if (debug) System.out.println("Matching ids: " + matchingTnodesIDFiltered);
+		if (debug) System.out.println("Matching ids: " + matchingTnodesIDFiltered); //$NON-NLS-1$
 		String[] strings = new String[matchingTnodesIDFiltered.size()];
 		int i = 0;
 		for (String s : matchingTnodesIDFiltered)
@@ -365,15 +366,15 @@
 		boolean debug = false;
 		ArrayList<Match> matches = new ArrayList<>();
 		AbstractCqiClient CQI = CQPSearchEngine.getCqiClient();
-		Property idProperty = getCorpus().getProperty("id");
+		Property idProperty = getCorpus().getProperty("id"); //$NON-NLS-1$
 		
-		if (debug) System.out.println("Call CQI.str2Id with strings.len=" + strings.length);
+		if (debug) System.out.println("Call CQI.str2Id with strings.len=" + strings.length); //$NON-NLS-1$
 		if (debug) System.out.println(Arrays.toString(strings));
 		if (debug) System.out.flush();
 		
 		int[] ids = CQI.str2Id(idProperty.getQualifiedName(), strings);
 		
-		if (debug) System.out.println("Call CQI.idList2Cpos with strings.len=" + ids.length);
+		if (debug) System.out.println("Call CQI.idList2Cpos with strings.len=" + ids.length); //$NON-NLS-1$
 		if (debug) System.out.println(Arrays.toString(ids));
 		if (debug) System.out.flush();
 		
@@ -390,7 +391,7 @@
 			positions[i++] = p;
 		positionsSet = null;
 		Arrays.sort(positions);
-		if (debug) System.out.println("Positions: " + Arrays.toString(positions));
+		if (debug) System.out.println("Positions: " + Arrays.toString(positions)); //$NON-NLS-1$
 		
 		for (int p : positions)
 			matches.add(new Match(p, p, -1));
Index: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java	(revision 3449)
+++ TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java	(revision 3450)
@@ -22,6 +22,7 @@
 import org.txm.searchengine.ts.TSMatch;
 import org.txm.searchengine.ts.TSResult;
 import org.txm.tigersearch.preferences.TigerSearchPreferences;
+import org.txm.tigersearch.rcp.Messages;
 import org.txm.treesearch.function.TreeSearch;
 import org.txm.treesearch.function.TreeSearchSelector;
 import org.txm.utils.TXMProgressMonitor;
@@ -53,12 +54,12 @@
 		
 		String id = corpus.getRootCorpusBuild().getName();
 		
-		File tsRegistryDirectory = new File(corpus.getProjectDirectory(), "tiger");
-		File configfile = new File(tsRegistryDirectory, "tigersearch.logprop");
+		File tsRegistryDirectory = new File(corpus.getProjectDirectory(), "tiger"); //$NON-NLS-1$
+		File configfile = new File(tsRegistryDirectory, "tigersearch.logprop"); //$NON-NLS-1$
 		File tscorpusdir = new File(tsRegistryDirectory, id);
 		
 		if (!tscorpusdir.exists()) {
-			System.out.println("Error: can't find corpus directory: " + tscorpusdir);
+			System.out.println(Messages.ErrorCantFindCorpusDirectoryP0 + tscorpusdir);
 			return;
 		}
 		
@@ -67,7 +68,7 @@
 			
 			tscorpus = manager.getCorpus(id);
 			if (tscorpus == null) {
-				System.out.println("TIGERSearch corpus not found in " + tsRegistryDirectory);
+				System.out.println(Messages.TIGERSearchCorpusNotFoundInP0 + tsRegistryDirectory);
 				ready = false;
 				
 				return;
@@ -112,7 +113,7 @@
 			svgFile.delete();
 			match.toSVGFile(svgFile);
 			if (!svgFile.exists()) {
-				System.out.println("Fail to render SVG match for sent=" + sent + " and sub=" + sub);
+				System.out.println(Messages.FailToRenderSVGMatchForSentEqualsP0AndSubEqualsP1 + sent + " and sub=" + sub); //$NON-NLS-2$
 				return false;
 			}
 		}
@@ -174,7 +175,7 @@
 	 */
 	public String getQuery() {
 		if (pQuery == null || pQuery.getQueryString().length() ==0) {
-			return "root(#n1)";
+			return "root(#n1)"; //$NON-NLS-1$
 		} else {
 			return pQuery.getQueryString();
 		}
@@ -183,9 +184,9 @@
 	@Override
 	public String toString() {
 		if (pQuery != null)
-			return pQuery.getQueryString().substring(0, Math.min(20, pQuery.getQueryString().length())).replaceAll("\n", " ") + " T: " + T + " NT: " + NT;
+			return pQuery.getQueryString().substring(0, Math.min(20, pQuery.getQueryString().length())).replaceAll("\n", " ") + " T: " + T + " NT: " + NT; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 		
-		return "" + corpus;
+		return "" + corpus; //$NON-NLS-1$
 	}
 	
 	@Override
@@ -204,7 +205,7 @@
 	 */
 	@Override
 	public String[] getExportTXTExtensions() {
-		return new String[] { "*.xml" };
+		return new String[] { "*.xml" }; //$NON-NLS-1$
 	}
 	
 	@Override
@@ -214,8 +215,8 @@
 	
 	@Override
 	public boolean setParameters(TXMParameters parameters) {
-		if (parameters.getString("query") != null) {
-			this.pQuery = new TIGERQuery(parameters.getString("query"));
+		if (parameters.getString("query") != null) { //$NON-NLS-1$
+			this.pQuery = new TIGERQuery(parameters.getString("query")); //$NON-NLS-1$
 		}
 		return true;
 	}
@@ -238,7 +239,7 @@
 		tsresult = null;
 		
 		if (pQuery == null || pQuery.getQueryString().length() == 0) {
-			pQuery = new TIGERQuery("root(#n1)");
+			pQuery = new TIGERQuery("root(#n1)"); //$NON-NLS-1$
 		}
 		
 		tsresult = tscorpus.query(pQuery.getQueryString());
@@ -249,7 +250,7 @@
 	
 	@Override
 	public String getResultType() {
-		return "TIGER search";
+		return "TIGER search"; //$NON-NLS-1$
 	}
 	
 	public void setIndexAndSubIndex(int sent, int sub) {
@@ -307,15 +308,15 @@
 //		if (offsetsMapped != null) { // the TIGER token is not in the CQP corpus
 //			right += offsetsMapped.getInt(right * Integer.BYTES);
 //		}
-		WordProperty pid = corpus.getProperty("id");
-		StructuralUnitProperty ptextid = corpus.getStructuralUnitProperty("text_id");
+		WordProperty pid = corpus.getProperty("id"); //$NON-NLS-1$
+		StructuralUnitProperty ptextid = corpus.getStructuralUnitProperty("text_id"); //$NON-NLS-1$
 		
 		List<String> idvalues = CQPSearchEngine.getEngine().getValuesForProperty(positions, pid);
 		int[] structid =  CQPSearchEngine.getCqiClient().cpos2Struc(ptextid.getQualifiedName(), positions);
 		String[] values =  CQPSearchEngine.getCqiClient().struc2Str(ptextid.getQualifiedName(), structid);
 		
 		textAndWord[0] = values[0];
-		textAndWord[1] = StringUtils.join(idvalues, ",");
+		textAndWord[1] = StringUtils.join(idvalues, ","); //$NON-NLS-1$
 		
 		return textAndWord;
 	}
@@ -323,7 +324,7 @@
 	@Override
 	public String getIconPath() {
 		
-		return "platform:/plugin/org.txm.tigersearch.rcp/icons/functions/TS.png";
+		return "platform:/plugin/org.txm.tigersearch.rcp/icons/functions/TS.png"; //$NON-NLS-1$
 	}
 
 	@Override
Index: TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/command/ConcordanceLineToTreeSearch.java
===================================================================
--- TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/command/ConcordanceLineToTreeSearch.java	(revision 3449)
+++ TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/command/ConcordanceLineToTreeSearch.java	(revision 3450)
@@ -52,6 +52,7 @@
 import org.txm.treesearch.function.TreeSearch;
 import org.txm.treesearch.function.TreeSearchSelector;
 import org.txm.treesearch.preferences.TreeSearchPreferences;
+import org.txm.treesearch.rcp.Messages;
 import org.txm.utils.logger.Log;
 
 
@@ -75,13 +76,13 @@
 		TXMResult r = BaseAbstractHandler.getActiveEditorResult(event);
 		
 		if (!(r instanceof Concordance)) {
-			Log.warning("Result is not a concordance: "+r);
+			Log.warning(Messages.ResultIsNotAConcordanceP0+r);
 			return null;
 		}
 		
 		ISelection s = HandlerUtil.getCurrentSelection(event);
 		if (!(s instanceof StructuredSelection)) {
-			Log.warning("Selection is not a Line: "+s);
+			Log.warning(Messages.SelectionIsNotALineP0+s);
 			return null;
 		}
 		
@@ -89,14 +90,14 @@
 		List list = selection.toList();
 		
 		if (list.size() == 0) {
-			Log.warning("No editor selection: "+r);
+			Log.warning(Messages.NoEditorSelectionP0+r);
 			return null;
 		}
 		
 		Concordance concordance = (Concordance)r;
 		Object o = list.get(0);
 		if (!(o instanceof Line)) {
-			Log.warning("Selection is not a Line: "+o);
+			Log.warning(Messages.SelectionIsNotALineP0+o);
 			return null;
 		}
 		Line l = (Line)o;
Index: TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/command/ComputeTreeSearch.java
===================================================================
--- TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/command/ComputeTreeSearch.java	(revision 3449)
+++ TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/command/ComputeTreeSearch.java	(revision 3450)
@@ -46,6 +46,7 @@
 import org.txm.treesearch.function.TreeSearch;
 import org.txm.treesearch.function.TreeSearchSelector;
 import org.txm.treesearch.preferences.TreeSearchPreferences;
+import org.txm.treesearch.rcp.Messages;
 import org.txm.utils.logger.Log;
 
 
@@ -84,21 +85,21 @@
 	public static HashMap<String, TreeSearchSelector> getSelectorsForCorpus(CQPCorpus corpus) {
 		
 		HashMap<String, TreeSearchSelector> ret = new HashMap<String, TreeSearchSelector>();
-		IConfigurationElement[] contributions = RegistryFactory.getRegistry().getConfigurationElementsFor("org.txm.treesearch.TreeSearchSelector");
+		IConfigurationElement[] contributions = RegistryFactory.getRegistry().getConfigurationElementsFor("org.txm.treesearch.TreeSearchSelector"); //$NON-NLS-1$
 		
 		for (int i = 0; i < contributions.length; i++) {
 			try {
 				@SuppressWarnings("unchecked")
 				TreeSearchSelector s = (TreeSearchSelector) contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
 				
-				Log.fine(TXMCoreMessages.bind("Initializing selector: {0}...", s));
+				Log.fine(TXMCoreMessages.bind("Initializing selector: {0}...", s)); //$NON-NLS-1$
 				
 				if (s.canComputeWith(corpus)) {
 					ret.put(s.getEngine(), s);
 				}
 			}
 			catch (Exception e) {
-				Log.severe("Error: failed to instantiate " + contributions[i].getName() + ".");
+				Log.severe(Messages.ErrorFailedToInstantiateP0 + contributions[i].getName() + "."); //$NON-NLS-2$
 				e.printStackTrace();
 			}
 		}
@@ -115,14 +116,14 @@
 		
 		TreeSearchSelector found = null;
 		
-		IConfigurationElement[] contributions = RegistryFactory.getRegistry().getConfigurationElementsFor("org.txm.treesearch.TreeSearchSelector");
+		IConfigurationElement[] contributions = RegistryFactory.getRegistry().getConfigurationElementsFor("org.txm.treesearch.TreeSearchSelector"); //$NON-NLS-1$
 		
 		for (int i = 0; i < contributions.length; i++) {
 			try {
 				@SuppressWarnings("unchecked")
 				TreeSearchSelector s = (TreeSearchSelector) contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
 				
-				Log.fine(TXMCoreMessages.bind("Initializing selector: {0}...", s));
+				Log.fine(TXMCoreMessages.bind("Initializing selector: {0}...", s)); //$NON-NLS-1$
 				
 				if (s.canComputeWith(corpus)) {
 					if (s.getEngine().equals(defaultEngine) || defaultEngine == null) { // it is the default engine, return it !
@@ -132,7 +133,7 @@
 				}
 			}
 			catch (Exception e) {
-				Log.severe("Error: failed to instantiate " + contributions[i].getName() + ".");
+				Log.severe(Messages.ErrorFailedToInstantiateP0 + contributions[i].getName() + "."); //$NON-NLS-2$
 				e.printStackTrace();
 			}
 		}
@@ -162,7 +163,7 @@
 		}
 		else {
 			
-			Log.warning("Selection is not a corpus: " + obj);
+			Log.warning(Messages.SelectionIsNotACorpusP0 + obj);
 			return null;
 		}
 		
Index: TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/preferences/TreeSearchPreferencePage.java
===================================================================
--- TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/preferences/TreeSearchPreferencePage.java	(revision 3449)
+++ TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/preferences/TreeSearchPreferencePage.java	(revision 3450)
@@ -5,6 +5,7 @@
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.preferences.TXMPreferencePage;
 import org.txm.rcp.preferences.TXMPreferenceStore;
+import org.txm.treesearch.rcp.Messages;
 
 /**
  * Syntatic annotations preferences page
@@ -16,7 +17,7 @@
 
 	@Override
 	public void createFieldEditors() {
-		this.addField(new StringFieldEditor(TreeSearchPreferences.DEFAULT_REPRESENTATION, "Syntactic representation", this.getFieldEditorParent()));
+		this.addField(new StringFieldEditor(TreeSearchPreferences.DEFAULT_REPRESENTATION, Messages.SyntacticRepresentation, this.getFieldEditorParent()));
 	}
 	
 	/*
@@ -28,7 +29,7 @@
 	@Override
 	public void init(IWorkbench workbench) {
 		this.setPreferenceStore(new TXMPreferenceStore(TreeSearchPreferences.getInstance().getPreferencesNodeQualifier()));
-		this.setDescription("Syntatic annotation");
-		this.setImageDescriptor(IImageKeys.getImageDescriptor(this.getClass(), "icons/functions/Tree.png"));
+		this.setDescription(Messages.SyntacticAnnotation);
+		this.setImageDescriptor(IImageKeys.getImageDescriptor(this.getClass(), "icons/functions/Tree.png")); //$NON-NLS-1$
 	}
 }
\ No newline at end of file
Index: TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/rcp/messages.properties
===================================================================
--- TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/rcp/messages.properties	(revision 0)
+++ TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/rcp/messages.properties	(revision 3450)
@@ -0,0 +1,15 @@
+CurrentRepresentation=Current representation
+ErrorDuringTreeSearchInitializationP0=Error during TreeSearch initialization: {0}
+ErrorFailedToInstantiateP0=Error: failed to instantiate {0}.
+ErrorFailToGenerateSVGFileP0=Error: Fail to generate SVG file: {0}
+ErrorP0=Error: {0}
+ErrorWhileComputingTheTreeP0=Error while computing the Tree: {0}
+NoEditorSelectionP0=No editor selection: {0}
+NoSentence=No Sentence
+NoSubGraph=No sub graph
+ResultIsNotAConcordanceP0=Result is not a concordance: {0}
+SelectionIsNotACorpusP0=Selection is not a corpus: {0}
+SelectionIsNotALineP0=Selection is not a Line: {0}
+SyntacticAnnotation=Syntactic annotation
+SyntacticRepresentation=Syntactic representation
+SyntaxRepresentationP0=Syntax representations: {0}

Property changes on: TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/rcp/messages.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/rcp/Messages.java
===================================================================
--- TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/rcp/Messages.java	(revision 0)
+++ TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/rcp/Messages.java	(revision 3450)
@@ -0,0 +1,43 @@
+package org.txm.treesearch.rcp;
+
+import org.eclipse.osgi.util.NLS;
+
+public class Messages extends NLS {
+	
+	private static final String BUNDLE_NAME = "org.txm.treesearch.rcp.messages"; //$NON-NLS-1$
+	
+	public static String CurrentRepresentation;
+
+	public static String ErrorDuringTreeSearchInitializationP0;
+
+	public static String ErrorFailedToInstantiateP0;
+
+	public static String ErrorFailToGenerateSVGFileP0;
+
+	public static String ErrorP0;
+
+	public static String ErrorWhileComputingTheTreeP0;
+
+	public static String NoEditorSelectionP0;
+
+	public static String NoSentence;
+
+	public static String NoSubGraph;
+
+	public static String ResultIsNotAConcordanceP0;
+	
+	public static String SelectionIsNotACorpusP0;
+
+	public static String SelectionIsNotALineP0;
+	public static String SyntacticAnnotation;
+
+	public static String SyntacticRepresentation;
+
+	public static String SyntaxRepresentationP0;
+	static {
+		// initialize resource bundle
+		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+	}
+	
+	private Messages() {}
+}

Property changes on: TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/rcp/Messages.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/editor/TreeSearchEditor.java
===================================================================
--- TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/editor/TreeSearchEditor.java	(revision 3449)
+++ TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/editor/TreeSearchEditor.java	(revision 3450)
@@ -38,6 +38,7 @@
 import org.txm.treesearch.function.TreeSearch;
 import org.txm.treesearch.function.TreeSearchSelector;
 import org.txm.treesearch.preferences.TreeSearchPreferences;
+import org.txm.treesearch.rcp.Messages;
 //import org.txm.stat.engine.r.RDevice;
 import org.txm.utils.logger.Log;
 //import org.txm.functions.queryindex.QueryIndex;
@@ -99,16 +100,16 @@
 				HashMap<String, TreeSearchSelector> selectors = ComputeTreeSearch.getSelectorsForCorpus(corpus);
 				
 				boolean updateFields = false;
-				if (representationCombo.getText().equals("TIGER") && !currentSelector.getEngine().equals("TIGER")) {
-					currentSelector = selectors.get("TIGER");
-					if (!tsPerRepresentation.containsKey("TIGER")) {
-						tsPerRepresentation.put("TIGER", currentSelector.getTreeSearch(corpus));
+				if (representationCombo.getText().equals("TIGER") && !currentSelector.getEngine().equals("TIGER")) { //$NON-NLS-1$ //$NON-NLS-2$
+					currentSelector = selectors.get("TIGER"); //$NON-NLS-1$
+					if (!tsPerRepresentation.containsKey("TIGER")) { //$NON-NLS-1$
+						tsPerRepresentation.put("TIGER", currentSelector.getTreeSearch(corpus)); //$NON-NLS-1$
 					}
 					updateFields = true;
-				} else if (representationCombo.getText().equals("UD") && !currentSelector.getEngine().equals("UD")) {
-					currentSelector = selectors.get("UD");
-					if (!tsPerRepresentation.containsKey("UD")) {
-						tsPerRepresentation.put("UD", currentSelector.getTreeSearch(corpus));
+				} else if (representationCombo.getText().equals("UD") && !currentSelector.getEngine().equals("UD")) { //$NON-NLS-1$ //$NON-NLS-2$
+					currentSelector = selectors.get("UD"); //$NON-NLS-1$
+					if (!tsPerRepresentation.containsKey("UD")) { //$NON-NLS-1$
+						tsPerRepresentation.put("UD", currentSelector.getTreeSearch(corpus)); //$NON-NLS-1$
 					}
 					updateFields = true;
 				}
@@ -122,7 +123,7 @@
 					
 					subSpinner.setSelection(1);
 					subSpinner.setMaximum(tsPerRepresentation.get(currentSelector.getEngine()).getNSubGraph(sentSpinner.getSelection() - 1));
-					subCounterLabel.setText("/" + tsPerRepresentation.get(currentSelector.getEngine()).getNSubGraph(sentSpinner.getSelection() - 1));
+					subCounterLabel.setText("/" + tsPerRepresentation.get(currentSelector.getEngine()).getNSubGraph(sentSpinner.getSelection() - 1)); //$NON-NLS-1$
 					//}
 				}
 				
@@ -137,7 +138,7 @@
 		
 		representationLabel = new Label(getMainParametersComposite(), SWT.NONE);
 		representationLabel.setImage(IImageKeys.getImage(tsPerRepresentation.get(currentSelector.getEngine()).getIconPath()));
-		representationLabel.setToolTipText("Current representation");
+		representationLabel.setToolTipText(Messages.CurrentRepresentation);
 		
 		representationCombo = new Combo(getMainParametersComposite(), SWT.READ_ONLY);
 		GridData gdataR = new GridData(SWT.FILL, SWT.CENTER, true, true);
@@ -198,13 +199,13 @@
 			}
 		});
 		
-		new Label(queryPanel, SWT.NONE).setText("T ");
+		new Label(queryPanel, SWT.NONE).setText("T "); //$NON-NLS-1$
 		TCombo = new Combo(queryPanel, SWT.READ_ONLY);
 		GridData gdata = new GridData(SWT.FILL, SWT.CENTER, true, true);
 		TCombo.setLayoutData(gdata);
 		TCombo.addSelectionListener(selChangedListener);
 		
-		new Label(queryPanel, SWT.NONE).setText("NT ");
+		new Label(queryPanel, SWT.NONE).setText("NT "); //$NON-NLS-1$
 		NTCombo = new Combo(queryPanel, SWT.READ_ONLY);
 		gdata = new GridData(SWT.FILL, SWT.CENTER, true, true);
 		NTCombo.setLayoutData(gdata);
@@ -215,7 +216,7 @@
 		
 		// fill param Area
 		gdata = new GridData(SWT.FILL, SWT.CENTER, true, true);
-		new Label(navigationAreaComposite, SWT.NONE).setText("Sent ");
+		new Label(navigationAreaComposite, SWT.NONE).setText("Sent "); //$NON-NLS-1$
 		sentSpinner = new Spinner(navigationAreaComposite, SWT.BORDER);
 		sentSpinner.setMinimum(1);
 		sentSpinner.setIncrement(1);
@@ -230,7 +231,7 @@
 		sentCounterLabel.setLayoutData(gdata);
 		
 		//if (tsPerRepresentation.get(currentSelector.getEngine()).hasSubMatchesStrategy()) {
-		new Label(navigationAreaComposite, SWT.NONE).setText("Sub ");
+		new Label(navigationAreaComposite, SWT.NONE).setText("Sub "); //$NON-NLS-1$
 		subSpinner = new Spinner(navigationAreaComposite, SWT.BORDER);
 		subSpinner.setMinimum(1);
 		subSpinner.setIncrement(1);
@@ -275,7 +276,7 @@
 		
 		if (representationCombo.getItemCount() == 0) {
 			HashMap<String, TreeSearchSelector> selectors = ComputeTreeSearch.getSelectorsForCorpus(corpus);
-			Log.fine("Syntax representations: "+selectors);
+			Log.fine(Messages.SyntaxRepresentationP0+selectors);
 			String[] values = selectors.keySet().toArray(new String[selectors.size()]);
 			representationCombo.setItems(values);
 			
@@ -289,12 +290,12 @@
 		
 		if (ts.isComputed()) {
 			queryArea.setText(ts.getQuery());
-			sentCounterLabel.setText("/" + ts.getNSentences());
-			subCounterLabel.setText("/" + ts.getNSubGraph(0));
+			sentCounterLabel.setText("/" + ts.getNSentences()); //$NON-NLS-1$
+			subCounterLabel.setText("/" + ts.getNSubGraph(0)); //$NON-NLS-1$
 		}
 		else {
-			sentCounterLabel.setText("No Sentence");
-			if (ts.hasSubMatchesStrategy()) subCounterLabel.setText("No sub graph");
+			sentCounterLabel.setText(Messages.NoSentence);
+			if (ts.hasSubMatchesStrategy()) subCounterLabel.setText(Messages.NoSubGraph);
 		}
 		
 		if (ts.isDrawn()) {
@@ -309,7 +310,7 @@
 				reloadGraph();
 			}
 			catch (Exception e) {
-				System.out.println("Error during TreeSearch initialization: " + e);
+				System.out.println(Messages.ErrorDuringTreeSearchInitializationP0 + e);
 				Log.printStackTrace(e);
 			}
 		}
@@ -368,8 +369,8 @@
 		try {
 			TreeSearch ts = tsPerRepresentation.get(currentSelector.getEngine());
 			if (ts.getNSentences() > 0) {
-				sentCounterLabel.setText("/" + ts.getNSentences());
-				if (ts.hasSubMatchesStrategy()) subCounterLabel.setText("/" + ts.getNSubGraph(0));
+				sentCounterLabel.setText("/" + ts.getNSentences()); //$NON-NLS-1$
+				if (ts.hasSubMatchesStrategy()) subCounterLabel.setText("/" + ts.getNSubGraph(0)); //$NON-NLS-1$
 				sentSpinner.setSelection(ts.getCurrentMatchIndex());
 				sentSpinner.setMaximum(ts.getNSentences());
 				
@@ -384,7 +385,7 @@
 			QueriesView.refresh();
 		}
 		catch (Exception e) {
-			System.out.println("Error while computing the Tree: " + e);
+			System.out.println(Messages.ErrorWhileComputingTheTreeP0 + e);
 			Log.printStackTrace(e);
 		}
 		// JobsTimer.stopAndPrint();
@@ -415,13 +416,13 @@
 		
 		try {
 			if (ts.toSVG(svgFile, sent, sub, T, NT)) {
-				Log.finer("SVG file: "+svgFile);
+				Log.finer("SVG file: "+svgFile); //$NON-NLS-1$
 				svgPanel.setUrl(svgFile.toURI().toURL().toString());
 				svgPanel.layout();
 				svgPanel.redraw();
 			}
 			else {
-				Log.warning("Error: Fail to generate SVG file: "+svgFile);
+				Log.warning(Messages.ErrorFailToGenerateSVGFileP0+svgFile);
 			}
 		}
 		catch (Exception e1) {
@@ -447,10 +448,10 @@
 		File resultDir = new File(Toolbox.getTxmHomePath(), "results"); //$NON-NLS-1$
 		resultDir.mkdirs();
 		try {
-			svgFile = File.createTempFile("TreeSearch", ".svg", resultDir);
+			svgFile = File.createTempFile("TreeSearch", ".svg", resultDir); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 		catch (IOException e) {
-			System.out.println("Error: " + e.getLocalizedMessage());
+			System.out.println(Messages.ErrorP0 + e.getLocalizedMessage());
 			Log.printStackTrace(e);
 		}
 		Log.fine(svgFile.toString());
